Titanium.include( '/classes/topbar.class.js' );

/* Top Bar */

// Mostramos el TopBar
new topBar({ showSearchButton:false }).show();

// Cambiamos el color de fondo
Titanium.UI.currentWindow.backgroundColor = '#000000';

// Obtenemos los parametros
aParams = {};
if( Titanium.UI.currentWindow.link != undefined )
	aParams['url'] = Titanium.UI.currentWindow.link;
if( Titanium.UI.currentWindow.html != undefined )
	aParams['html'] = Titanium.UI.currentWindow.html;

// Parámetros de posición
aParams.top = Titanium.App.top;
aParams.bottom = Titanium.App.bottom;
aParams.left = 0;
aParams.right = 0;

// Le añadimos valores
aParams['scalesPageToFit'] = true;

// Creamos el explorador web y lanzamos la url pasada como parámetro
var wWeb = Titanium.UI.createWebView( aParams );

// Añadimos el explorador
Titanium.UI.currentWindow.add( wWeb );

// Evento cuando carga la web
wWeb.addEventListener( 'load', function(e)
{
	// Si se ha completado una compra
	if( e.source.url == Titanium.App.server + 'checkout_success_appcommerce.php' )
	{
		// Informamos con un mensaje
		Titanium.UI.createAlertDialog({ title:'Su pedido se ha completado', message:'Su pedido se ha completado, ¡gracias por comprar con nosotros!.\nEn cualquier momento puedes comprobar el estado de tus pedidos desde la sección "Historial de pedidos" en "Mi cuenta".', buttonNames:['Aceptar'] }).show();

		// Cerramos la ventana actual
		Titanium.UI.currentWindow.close();

		// Cambiamos al tab principal
		Titanium.UI.currentTabGroup.setActiveTab( 0 );

		// Mostramos el badge en Android
		if( Titanium.Platform.osname == 'android' ){}
		// Mostramos el badge en iOS
		else Titanium.UI.currentTabGroup.tabs[2].badge = null;
	}
});