Titanium.include( '/database.js' );
Titanium.include( '/classes/saves.class.js' );

function User()
{
	var self = this;

	// Propiedades
	this.userid = false;
	this.username = false;
	this.email = false;
	this.password = false;
	this.logged = false;

	this.combineCarts = function()
	{
		// Obtenemos el archivo del carrito
		var aFile = Titanium.Filesystem.getFile( Titanium.Filesystem.applicationDataDirectory, 'cart.txt' );

		// Si existe el archivo combinamos los carritos
		if( aFile.exists() )
		{
			// Combinamos los carritos
			query({ query:'insertCombineCarts', data:{ userid:self.userid, cart:aFile.read().text }, callback:function(aResult)
				{
					// Si obtenemos un resultado correcto
					if( aResult !== false )
					{
						// Eliminamos el carrito local
						aFile.deleteFile();
					}
				}
			});
		}
	}

	this.setLogged = function(bLogged)
	{
		// Añadimos el valor de logged
		this.logged = bLogged;
	}

	this.isLogged = function()
	{
		// Retornamos si el usuario está logueado
		return this.logged;
	}

	this.setUserid = function(nUserid)
	{
		// Añadimos el userid
		this.userid = nUserid;
	}

	this.getUserid = function()
	{
		// Retornamos el userid
		return this.userid;
	}

	this.setEmail = function(sEmail)
	{
		// Añadimos el email
		this.email = sEmail;
	}

	this.getEmail = function()
	{
		// Retornamos el email
		return this.email;
	}

	this.setUsername = function(sUsername)
	{
		// Añadimos el username
		this.username = sUsername;
	}

	this.getUsername = function()
	{
		// Retornamos el username
		return this.username;
	}

	this.setPassword = function(sPassword)
	{
		// Añadimos el password
		this.password = sPassword;
	}

	this.getPassword = function()
	{
		// Retornamos el password
		return this.password;
	}
}