// Cálculo de tamaños //

var nWidth = Titanium.Platform.displayCaps.platformWidth;
var nHeight = Titanium.Platform.displayCaps.platformHeight;

// Si la orientación es LANDSCAPE
if( Titanium.Gesture.orientation == Ti.UI.LANDSCAPE_RIGHT || Titanium.Gesture.orientation == Ti.UI.LANDSCAPE_LEFT )
{
	var nWidth = Ti.Platform.displayCaps.platformHeight;
	var nHeight = Ti.Platform.displayCaps.platformWidth;
}

// Calculamos el ancho y alto según la densidad
if( Titanium.Platform.osname == 'android' )
{
	// Ancho y alto según densidad
	nWidth = ( nWidth / ( Titanium.Platform.displayCaps.dpi / 160 ) );
	nHeight = ( nHeight / ( Titanium.Platform.displayCaps.dpi / 160 ) );
}

// Valores de aplicación //

Titanium.App.isAndroid = Titanium.Platform.osname == 'android';
Titanium.App.isSimulator = Titanium.Platform.model == 'Simulator' || Titanium.Platform.model == 'sdk' || Titanium.Platform.model == 'google_sdk';
Titanium.App.topBarSize = (Titanium.App.isAndroid ? nHeight * 0.10 : 64);
Titanium.App.tabGroupSize = (Titanium.App.isAndroid ? nHeight * 0.12 : 49);
Titanium.App.top = (Titanium.App.isAndroid ? Titanium.App.topBarSize : Titanium.App.topBarSize);
Titanium.App.bottom = (Titanium.App.isAndroid ? 0 : 0);

// Variables de configuración //

// Tienda
Titanium.App.store_name = 'Canarias Makeup';

// Servidor
Titanium.App.server = 'http://www.canariasmakeup.com/';
Titanium.App.images = 'http://www.canariasmakeup.com/';
Titanium.App.datalinker = Titanium.App.server + 'appcommerce/dataLinker.php';

// Credenciales .htpasswd
Titanium.App.username = 'appcommerce';
Titanium.App.password = 'adm914A';

// Idioma
Titanium.App.multilanguage = false;
Titanium.App.language = 'es';
Titanium.App.idlanguage = 4;
Titanium.App.languages = [{id:4, value:'Español'}];

// Theme
Titanium.App.theme = 'canariasmakeup';

// IDs externas
Titanium.App.analytics_key = false;
Titanium.App.facebook = false;
Titanium.App.twitter_consumer_key = false;
Titanium.App.twitter_consumer_secret = false;
Titanium.App.twitter_callback_url = false;

// Opciones //

// Cantidad de productos listados en la ventana de novedades por defecto
Titanium.App.newness_quantity = 30;
// Cantidad de productos listados en la ventana de ofertas por defecto
Titanium.App.offers_quantity = 30;
// Opción para mostrar el filtro por envío gratuito en el listado de productos
Titanium.App.filter_freeshipping = true;
// Opción para mostrar el filtro por productos disponibles próximamente en el listado de productos
Titanium.App.filter_comingsoon = true;
// Opción para indicar si queremos un registro de distribuidores
Titanium.App.register_distributor = false;