// Función para eliminar un elemento de un array
function arrayDeleteRecord(aArrays, aRecord, sField)
{
	// Variables
	aRecords = [];
	nCont2 = 0;

	// Recorremos el array
	for( var nCont = 0; nCont <= aArrays.length - 1; nCont++ )
	{
		// Si no coinciden los identificadores lo añadimos
		if( aArrays[nCont][sField] != aRecord[sField] )
		{
			aRecords[nCont2] = aArrays[nCont];
			nCont2++;
		}
	}

	return aRecords;
}

// Función para clonar un array
function arrayClone(aOriginal)
{
	// Variables
	aCopy = [];
	nCont = null;

	for( nCont = 0; nCont < aOriginal.length; nCont++ )
		aCopy[nCont] = aOriginal[nCont];

	return aCopy;
}

// Función para ordenar un array
function arrayOrder(sOrder, sOrientation)
{
	// Variables
	var bChanges = true;
	var aOrders = arrayClone( aProducts );
	var aTemp = null;
	var nCont = null;

	// Mientras se produzcan cambios ordenamos
	while(bChanges)
	{
		bChanges = false;

		// Recorremos el array
		for( nCont = 0; nCont < aOrders.length - 1; nCont++ )
		{
			// Orientación ascendente
			if( sOrientation == 'ASC' )
			{
				// Si un valor es mayor que el otro lo intercambiamos
				if( aOrders[nCont][sOrder] > aOrders[nCont + 1][sOrder] )
				{
					// Intercambiamos valores
					aTemp = aOrders[nCont];
					aOrders[nCont] = aOrders[nCont + 1];
					aOrders[nCont + 1] = aTemp;

					// Marcamos que ha habido cambios
					bChanges = true;
				}
			}
			// Orientación descendente
			else if( sOrientation == 'DESC' )
			{
				// Si un valor es mayor que el otro lo intercambiamos
				if( aOrders[nCont][sOrder] < aOrders[nCont + 1][sOrder] )
				{
					// Intercambiamos valores
					aTemp = aOrders[nCont];
					aOrders[nCont] = aOrders[nCont + 1];
					aOrders[nCont + 1] = aTemp;

					// Marcamos que ha habido cambios
					bChanges = true;
				}
			}
		}
	}

	return aOrders;
}