Titanium.include( 'database.js' );
Titanium.include( '/classes/topbar.class.js' );

/* TopBar */

// Mostramos el TopBar
new topBar({}).show();

// Si la información es la FAQ
if( Titanium.UI.currentWindow.id == -1 )
{
	// Explorador web para mostrar la información
	var wDescription = Titanium.UI.createWebView({ url:Titanium.App.server + 'appcommerce-faq/' + Titanium.App.language + '/information.html', left:0, right:0, top:Titanium.App.top, bottom:Titanium.App.bottom, loading:true, backgroundColor:'#ffffff', focusable:false });
	Titanium.UI.currentWindow.add( wDescription );
}
// Si la información es el Acerca de
else if( Titanium.UI.currentWindow.id == -2 )
{
	// Explorador web para mostrar la información
	var wDescription = Titanium.UI.createWebView({ url:Titanium.App.server + 'appcommerce-faq/' + Titanium.App.language + '/aboutus.html', left:0, right:0, top:Titanium.App.top, bottom:Titanium.App.bottom, loading:true, backgroundColor:'#ffffff', focusable:false });
	Titanium.UI.currentWindow.add( wDescription );
}
// Si no, obtenemos la información de la BD
else
{
	// Chequeamos la conexión a Internet
	online({ callback:function()
		{
			// Hacemos una consulta para obtener la información
			query({ query:'getInformationByID', data:{ id:Titanium.UI.currentWindow.id, language:Titanium.App.idlanguage }, callback:function(aResult)
				{
					// Si obtenemos un resultado correcto
					if( aResult !== false )
					{
						// Información //

						// Explorador web para mostrar la información
						var wDescription = Titanium.UI.createWebView({ html:aResult.informationdescription, left:0, right:0, top:Titanium.App.top, bottom:Titanium.App.bottom, loading:true, backgroundColor:'#ffffff', focusable:false });
						Titanium.UI.currentWindow.add( wDescription );
					}
				}
			});
		}
	});
}